import { BootstrapProgressBar } from './../index';
import { BootstrapProgressBarStyleMode } from './../index';
import { AfterViewInit, ElementRef, OnInit, OnChanges, OnDestroy, SimpleChanges, EventEmitter } from '@angular/core';
import { BaseElement } from './smart.element';
import * as i0 from "@angular/core";
export { BootstrapProgressBarStyleMode, ElementRenderMode } from './../index';
export { Smart } from './smart.element';
export { BootstrapProgressBar } from './../index';
export declare class BootstrapProgressBarComponent extends BaseElement implements OnInit, AfterViewInit, OnDestroy, OnChanges {
    constructor(ref: ElementRef<BootstrapProgressBar>);
    private eventHandlers;
    nativeElement: BootstrapProgressBar;
    /** @description Creates the component on demand.
     * @param properties An optional object of properties, which will be added to the template binded ones.
     */
    createComponent(properties?: {}): any;
    /** @description Enables or disables the element.  */
    get disabled(): boolean;
    set disabled(value: boolean);
    /** @description Sets the name of the element.  */
    get name(): string;
    set name(value: string);
    /** @description Sets or gets the min value */
    get min(): number;
    set min(value: number);
    /** @description Sets or gets the max value */
    get max(): number;
    set max(value: number);
    /** @description Sets whether stripes are displayed in the progress.  */
    get striped(): boolean;
    set striped(value: boolean);
    /** @description Sets or gets the style mode of the button. */
    get styleMode(): BootstrapProgressBarStyleMode | string;
    set styleMode(value: BootstrapProgressBarStyleMode | string);
    /** @description Sets or gets the value */
    get value(): number;
    set value(value: number);
    /** @description Change event is triggered when the value of the element is changed.
    *  @param event. The custom event. 	*/
    onChange: EventEmitter<CustomEvent>;
    get isRendered(): boolean;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /** @description Add event listeners. */
    private listen;
    /** @description Remove event listeners. */
    private unlisten;
    static ɵfac: i0.ɵɵFactoryDeclaration<BootstrapProgressBarComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BootstrapProgressBarComponent, "bootstrap-progress-bar, [bootstrap-progress-bar]", ["bootstrap-progress-bar"], { "disabled": "disabled"; "name": "name"; "min": "min"; "max": "max"; "striped": "striped"; "styleMode": "styleMode"; "value": "value"; }, { "onChange": "onChange"; }, never>;
}
